org.eclipse.wst.jsdt.js.npm

## Class PackageJson.Builder

- java.lang.Object
- - org.eclipse.wst.jsdt.js.npm.PackageJson.Builder

Enclosing class:
  PackageJson

    public static class PackageJson.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PackageJson.Builder` `author(java.lang.String author)`
`PackageJson` `build()`
`PackageJson.Builder` `dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`PackageJson.Builder` `description(java.lang.String description)`
`PackageJson.Builder` `license(java.lang.String license)`
`PackageJson.Builder` `main(java.lang.String main)`
`PackageJson.Builder` `name(java.lang.String name)`
`PackageJson.Builder` `scripts(java.util.Map<java.lang.String,java.lang.String> scripts)`
`PackageJson.Builder` `version(java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### name

    public PackageJson.Builder name(java.lang.String name)

#### version

    public PackageJson.Builder version(java.lang.String version)

#### description

    public PackageJson.Builder description(java.lang.String description)

#### main

    public PackageJson.Builder main(java.lang.String main)

#### scripts

    public PackageJson.Builder scripts(java.util.Map<java.lang.String,java.lang.String> scripts)

#### author

    public PackageJson.Builder author(java.lang.String author)

#### license

    public PackageJson.Builder license(java.lang.String license)

#### dependencies

    public PackageJson.Builder dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### build

    public PackageJson build()